2 Replies Latest reply: Mar 7, 2013 10:11 AM by RajaRani
gurkin Level 1 Level 1 (0 points)

I am a pensioner and cannot afford a new phone I have the 3g 16gb and it works well but I would like to use it for facebook and skype but it tells me I need Os5 at least, this is unfair the phone should be kept up to date as I expected to get many years of use out of it, is there anyway I can update it.


iPad 2, iOS 5